Package org.eclipse.cdt.utils.macho.parser

# Class MachOParser64

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.cdt.core.AbstractCExtension
org.eclipse.cdt.utils.macho.parser.MachOParser64

All Implemented Interfaces:
  `IBinaryParser`, `ICExtension`, `org.eclipse.core.runtime.IAdaptable`

public class MachOParser64 extends AbstractCExtension implements IBinaryParser

Since:
  5.2

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.IBinaryParser

`IBinaryParser.IBinaryArchive, IBinaryParser.IBinaryExecutable, IBinaryParser.IBinaryFile, IBinaryParser.IBinaryObject, IBinaryParser.IBinaryShared, IBinaryParser.ISymbol`

## Constructor Summary

Constructors
Constructor
Description
`MachOParser64()`

## Method Summary

Modifier and Type
Method
Description
`protected IBinaryParser.IBinaryArchive`
`createBinaryArchive(org.eclipse.core.runtime.IPath path)`
`protected IBinaryParser.IBinaryObject`
`createBinaryCore(org.eclipse.core.runtime.IPath path)`
`protected IBinaryParser.IBinaryExecutable`
`createBinaryExecutable(org.eclipse.core.runtime.IPath path)`
`protected IBinaryParser.IBinaryObject`
`createBinaryObject(org.eclipse.core.runtime.IPath path)`
`protected IBinaryParser.IBinaryShared`
`createBinaryShared(org.eclipse.core.runtime.IPath path)`
`IBinaryParser.IBinaryFile`
`getBinary(byte[] hints, org.eclipse.core.runtime.IPath path)`
Creates an IBinaryFile.
`IBinaryParser.IBinaryFile`
`getBinary(org.eclipse.core.runtime.IPath path)`
Creates an IBinaryFile.
`CPPFilt`
`getCPPFilt()`
`protected org.eclipse.core.runtime.IPath`
`getCPPFiltPath()`
`String`
`getFormat()`
Returns the name of the Format.
`int`
`getHintBufferSize()`
Get a hint of the needed buffer size to recognize the file.
`boolean`
`isBinary(byte[] array, org.eclipse.core.runtime.IPath path)`
True if the resource is a binary.

### Methods inherited from class org.eclipse.cdt.core.AbstractCExtension

`getConfigExtensionReference, getExtensionReference, getProject, setExtensionReference, setExtensionReference, setProject`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Constructor Details

### MachOParser64

public MachOParser64()

## Method Details

### getBinary

public IBinaryParser.IBinaryFile getBinary(org.eclipse.core.runtime.IPath path) throws IOException
Description copied from interface: `IBinaryParser`
Creates an IBinaryFile.

Specified by:
  `getBinary` in interface `IBinaryParser`
Throws:
  `IOException`

### getBinary

public IBinaryParser.IBinaryFile getBinary(byte[] hints, org.eclipse.core.runtime.IPath path) throws IOException
Description copied from interface: `IBinaryParser`
Creates an IBinaryFile.

Specified by:
  `getBinary` in interface `IBinaryParser`
Parameters:
  `hints` - - array byte that can be use to recognise the file. Can be null or empty array when no hints are passed.
Throws:
  `IOException`

### getFormat

public String getFormat()
Description copied from interface: `IBinaryParser`
Returns the name of the Format.

Specified by:
  `getFormat` in interface `IBinaryParser`

### isBinary

public boolean isBinary(byte[] array, org.eclipse.core.runtime.IPath path)
Description copied from interface: `IBinaryParser`
True if the resource is a binary.

Specified by:
  `isBinary` in interface `IBinaryParser`

### getHintBufferSize

public int getHintBufferSize()
Description copied from interface: `IBinaryParser`
Get a hint of the needed buffer size to recognize the file.

Specified by:
  `getHintBufferSize` in interface `IBinaryParser`

### getCPPFilt

public CPPFilt getCPPFilt()

### getCPPFiltPath

protected org.eclipse.core.runtime.IPath getCPPFiltPath()

### createBinaryArchive

protected IBinaryParser.IBinaryArchive createBinaryArchive(org.eclipse.core.runtime.IPath path) throws IOException

Throws:
  `IOException`

### createBinaryObject

protected IBinaryParser.IBinaryObject createBinaryObject(org.eclipse.core.runtime.IPath path) throws IOException

Throws:
  `IOException`

### createBinaryExecutable

protected IBinaryParser.IBinaryExecutable createBinaryExecutable(org.eclipse.core.runtime.IPath path) throws IOException

Throws:
  `IOException`

### createBinaryShared

protected IBinaryParser.IBinaryShared createBinaryShared(org.eclipse.core.runtime.IPath path) throws IOException

Throws:
  `IOException`

### createBinaryCore

protected IBinaryParser.IBinaryObject createBinaryCore(org.eclipse.core.runtime.IPath path) throws IOException

Throws:
  `IOException`